org.wildfly.swarm.config.undertow

## Class FilterConfiguration.FilterConfigurationResources

- java.lang.Object
- - org.wildfly.swarm.config.undertow.FilterConfiguration.FilterConfigurationResources

- Enclosing class:
    FilterConfiguration<T extends FilterConfiguration<T>>

      public static class FilterConfiguration.FilterConfigurationResources
      extends Object

  Child mutators for FilterConfiguration

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterConfigurationResources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CustomFilter` | `customFilter(String key)`
    `List<CustomFilter>` | `customFilters()` Get the list of CustomFilter resources
    `ErrorPage` | `errorPage(String key)`
    `List<ErrorPage>` | `errorPages()` Get the list of ErrorPage resources
    `ExpressionFilter` | `expressionFilter(String key)`
    `List<ExpressionFilter>` | `expressionFilters()` Get the list of ExpressionFilter resources
    `Gzip` | `gzip(String key)`
    `List<Gzip>` | `gzips()` Get the list of Gzip resources
    `ModCluster` | `modCluster(String key)`
    `List<ModCluster>` | `modClusters()` Get the list of ModCluster resources
    `RequestLimit` | `requestLimit(String key)`
    `List<RequestLimit>` | `requestLimits()` Get the list of RequestLimit resources
    `ResponseHeader` | `responseHeader(String key)`
    `List<ResponseHeader>` | `responseHeaders()` Get the list of ResponseHeader resources
    `Rewrite` | `rewrite(String key)`
    `List<Rewrite>` | `rewrites()` Get the list of Rewrite resources

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterConfigurationResources

          public FilterConfigurationResources()

  - ### Method Detail

    - #### requestLimits

          public List<RequestLimit> requestLimits()

      Get the list of RequestLimit resources
      Returns:
        the list of resources

    - #### requestLimit

          public RequestLimit requestLimit(String key)

    - #### errorPages

          public List<ErrorPage> errorPages()

      Get the list of ErrorPage resources
      Returns:
        the list of resources

    - #### errorPage

          public ErrorPage errorPage(String key)

    - #### customFilters

          public List<CustomFilter> customFilters()

      Get the list of CustomFilter resources
      Returns:
        the list of resources

    - #### customFilter

          public CustomFilter customFilter(String key)

    - #### gzips

          public List<Gzip> gzips()

      Get the list of Gzip resources
      Returns:
        the list of resources

    - #### gzip

          public Gzip gzip(String key)

    - #### modClusters

          public List<ModCluster> modClusters()

      Get the list of ModCluster resources
      Returns:
        the list of resources

    - #### modCluster

          public ModCluster modCluster(String key)

    - #### expressionFilters

          public List<ExpressionFilter> expressionFilters()

      Get the list of ExpressionFilter resources
      Returns:
        the list of resources

    - #### expressionFilter

          public ExpressionFilter expressionFilter(String key)

    - #### responseHeaders

          public List<ResponseHeader> responseHeaders()

      Get the list of ResponseHeader resources
      Returns:
        the list of resources

    - #### responseHeader

          public ResponseHeader responseHeader(String key)

    - #### rewrites

          public List<Rewrite> rewrites()

      Get the list of Rewrite resources
      Returns:
        the list of resources

    - #### rewrite

          public Rewrite rewrite(String key)

Copyright © 2017 JBoss by Red Hat. All rights reserved.